-- copyright	Copyright (C) 2011 1sr, Inc. All rights reserved.
-- author		1sr
-- link			http://1sr.de/fsramazon
-- license		http://www.gnu.org/copyleft/gpl.html GNU/GPL

DROP TABLE IF EXISTS `#__fsramazon_paapi_configs`;
 
CREATE TABLE `#__fsramazon_paapi_configs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `label` varchar(255) NOT NULL,
  `associate_tag` varchar(255) NOT NULL,
  `access_key` varchar(255) NOT NULL,
  `secret_access_key` varchar(255) NOT NULL,
   PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__fsramazon_menu_memory`;
 
CREATE TABLE `#__fsramazon_menu_memory` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_id` int(11) NOT NULL,
  `parent_menu_id` int(11) DEFAULT NULL,
  `initiator` enum('0','1') DEFAULT '0',
  `asin` varchar(255) DEFAULT NULL,
  `expiration_date` date NOT NULL DEFAULT '0000-00-00',
   PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

--
-- create a hidden menu type for menu assignment
--

INSERT INTO `#__menu_types` (`menutype`, `title`, `description`) VALUES
('fsrhiddenmenutype', 'FsrHidden', 'just a hidden menutype');
