<?php

/**
 * @copyright	Copyright (C) 2011 1sr, Inc. All rights reserved.
 * @author		1sr
 * @link		http://1sr.de/fsramazon
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die;


class JFsrRandDonate
{
	/**
     * @var array
     */
    protected static $_associationTags = array('ca' => 'solarfriend0c-20',
    										'cn' => 'solarfriend-23',
							        		'de' => 'modemodeund08-21',
							        		'fr' => 'soalrfriend02-21',
							        		'it' => 'soalrfriend01-21',
							        		'jp' => 'solarfriend-22',							        									         
							        		'uk' => 'soalrfriend-21',
											'us' => 'solarfriend-20',
											'es' => 'soalrfriend04-21'
							        		);
	
	protected static $_associationUrls = array('ca' => 'http://www.amazon.ca/gp/product/',
    										'cn' => 'http://www.amazon.cn/gp/product/',
							        		'de' => 'http://www.amazon.de/gp/product/',
							        		'fr' => 'http://www.amazon.fr/gp/product/',
							        		'it' => 'http://www.amazon.it/gp/product/',
							        		'jp' => 'http://www.amazon.co.jp/gp/product/',							        									         
							        		'uk' => 'http://www.amazon.co.uk/gp/product/',
											'us' => 'http://www.amazon.com/gp/product/',
											'es' => 'http://www.amazon.es/gp/product/'
							        		);
	
	/**
	 * @param string
	 * @param string
	 * @param int
	 * @return string associationTag
	 */
	static function getRandomAssociationTag($customAssociationTag, $countryCode, $donationRate)
    {
		
		$random = rand(1,100);
		
		$randomAssociationTag = ($random <= $donationRate)? self::$_associationTags[$countryCode] : $customAssociationTag;
		$randomAssociationTag = ($randomAssociationTag != '') ? $randomAssociationTag : $customAssociationTag;
		
		return $randomAssociationTag;	
		
    }
    
    /**
	 * @param string
	 * @param int
	 * @return string associationUrl
	 */
	static function getAssociationUrl($countryCode)
    {
		return self::$_associationUrls[$countryCode];	
		
    }

}
